gtkmm 2.4: Gtk::TreeRowReference Class Reference

Main Page Widgets Namespaces Book

# Gtk::TreeRowReference Class Reference
[TreeView Classes]

List of all members.

## Detailed Description

Typedefed as Gtk::TreeModel::RowReference.

This reference will keep pointing to the node pointed to by the Path, so long as it exists. It listens to all signals emitted by the Model, and updates its Path appropriately.

## Public Member Functions
Glib::RefPtr<const TreeModel> | get_model () const
| Returns the model which reference is monitoring in order to appropriately the path.
Glib::RefPtr<TreeModel> | get_model ()
| Returns the model which reference is monitoring in order to appropriately the path.
TreeModel::Path | get_path () const
| Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid.
const GtkTreeRowReference* | gobj () const
| Provides access to the underlying C instance.
GtkTreeRowReference* | gobj ()
| Provides access to the underlying C instance.
GtkTreeRowReference* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
bool | is_valid () const
| Returns `true` if the reference is non-`0` and refers to a current valid path.
| operator bool () const
| The same as is_valid().
TreeRowReference& | operator= (const TreeRowReference& other)
void | swap (TreeRowReference& other)
| TreeRowReference (const Glib::RefPtr<TreeModel>& model, const TreeModel::Path& path)
| TreeRowReference (const TreeRowReference& other)
| TreeRowReference (GtkTreeRowReference* gobject, bool make_a_copy=true)
| TreeRowReference ()
| ~TreeRowReference ()
## Protected Attributes
GtkTreeRowReference* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (TreeRowReference& lhs, TreeRowReference& rhs)
Gtk::TreeRowReference | wrap (GtkTreeRowReference* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gtk::TreeRowReference::TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | GtkTreeRowReference* | gobject,
|  | bool | make_a_copy = `true`
| ) | `[explicit]`

Gtk::TreeRowReference::TreeRowReference | ( | const TreeRowReference& | other | ) |

Gtk::TreeRowReference::~TreeRowReference | ( |  | ) |

Gtk::TreeRowReference::TreeRowReference | ( | const Glib::RefPtr<TreeModel>& | model,
|  | const TreeModel::Path& | path
| ) |

## Member Function Documentation

Glib::RefPtr<const TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) | const

| Returns the model which reference is monitoring in order to appropriately the path. Returns: The model, or `0`. Since: 2.8.

Glib::RefPtr<TreeModel> Gtk::TreeRowReference::get_model | ( |  | ) |

| Returns the model which reference is monitoring in order to appropriately the path. Returns: The model, or `0`. Since: 2.8.

TreeModel::Path Gtk::TreeRowReference::get_path | ( |  | ) | const

| Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid. Returns: A current path, or `0`.

const GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

GtkTreeRowReference* Gtk::TreeRowReference::gobj_copy | ( |  | ) | const

| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

bool Gtk::TreeRowReference::is_valid | ( |  | ) | const

| Returns `true` if the reference is non-`0` and refers to a current valid path. Returns: `true` if reference points to a valid path.

Gtk::TreeRowReference::operator bool | ( |  | ) | const

| The same as is_valid().

TreeRowReference& Gtk::TreeRowReference::operator= | ( | const TreeRowReference& | other | ) |

void Gtk::TreeRowReference::swap | ( | TreeRowReference& | other | ) |

## Friends And Related Function Documentation

void swap | ( | TreeRowReference& | lhs,
|  | TreeRowReference& | rhs
| ) | `[related]`

  | Parameters:
  | lhs | The left-hand side
  | rhs | The right-hand side

Gtk::TreeRowReference wrap | ( | GtkTreeRowReference* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

## Member Data Documentation

GtkTreeRowReference* Gtk::TreeRowReference::gobject_`[protected]`

The documentation for this class was generated from the following file:

- treerowreference.h